Upgrade BT5 R1 > R2


Upgrade BT5 R1 > R2

1. Update and upgrade your BT5 (R1) installation:

apt-get update 
apt-get dist-upgrade 
reboot
2. OPTIONAL – Once rebooted, log back in, and get your pretty splash screen back.
fix-splash 
reboot
 

3. Verify that you are running a 3.2.6 kernel:

uname -a

 

4. Feel free to install any or all of the new tools featured in BackTrack 5 R2:

apt-get install pipal findmyhash metasploit joomscan hashcat-gui golismero easy-creds pyrit sqlsus vega libhijack tlssled hash-identifier wol-e dirb reaver wce sslyze magictree nipper-ng rec-studio hotpatch xspy arduino rebind horst watobo patator thc-ssl-dos redfang findmyhash killerbee goofile bt-audit bluelog extundelete se-toolkit casefile sucrack dpscan dnschef
 

5. Add the new security updates repository to /etc/apt/sources.list, and run another upgrade.

echo “deb http://updates.repository.backtrack-linux.org revolution main microverse non-free testing” >> /etc/apt/sources.list 
apt-get update 
apt-get dist-upgrade

6. Some of the newly installed services will be set to start on boot. We like disabling these as needed:

/etc/init.d/apache2 stop
/etc/init.d/cups stop
/etc/init.d/winbind stop

update-rc.d -f cups remove 
update-rc.d -f apache2 remove 
update-rc.d -f winbind remove
 

 

19 thoughts on “Upgrade BT5 R1 > R2

    • Iya, betul🙂

      The following packages will be upgraded:
      apache2 apache2-mpm-prefork apache2-utils apache2.2-bin apache2.2-common
      apport apt apt-transport-https apt-utils aptitude base-files bind9-host
      byobu bzip2 ca-certificates capplets-data clamav clamav-base
      clamav-freshclam compizconfig-backend-gconf cups cups-bsd cups-client
      cups-common curl cvs dbus dbus-x11 dhcp3-client dhcp3-common dnsutils
      ecryptfs-utils ethtool ffmpeg fglrx-modaliases flashplugin-installer
      foomatic-filters ghostscript ghostscript-cups gir1.0-gtk-2.0
      gnome-control-center gnome-power-manager gnome-user-guide gnome-utils grub
      grub-common gtk2-engines-pixbuf icedtea-6-jre-cacao initscripts
      krb5-multidev landscape-common language-pack-en language-pack-en-base
      libapache2-mod-php5 libapr1 libapr1-dev libarchive1 libavcodec52
      libavdevice52 libavfilter0 libavformat52 libavutil49 libbind9-60 libbz2-1.0
      libcap2 libcap2-bin libclamav6 libcups2 libcups2-dev libcupscgi1
      libcupsdriver1 libcupsimage2 libcupsimage2-dev libcupsmime1 libcupsppdc1
      libcurl3 libcurl3-gnutls libcurl4-gnutls-dev libdbus-1-3 libdbus-1-dev
      libdbus-glib-1-2 libdbus-glib-1-dev libdevkit-power-gobject1 libdns64
      libecryptfs0 libgail-common libgail18 libgdict-1.0-6 libgksu2-0
      libgnome-window-settings1 libgs8 libgssapi-krb5-2 libgssrpc4 libgtk2.0-0
      libgtk2.0-bin libgtk2.0-common libgtk2.0-dev libgweather-common libgweather1
      libicu-dev libicu42 libimobiledevice0 libisc60 libisccc60 libisccfg60
      libjasper1 libk5crypto3 libkadm5clnt-mit7 libkadm5srv-mit7 libkdb5-4
      libkrb5-3 libkrb5-dev libkrb5support0 libldap-2.4-2 libldap2-dev liblwres60
      libmodplug0c2 libnm-glib2 libpam-modules libpam-runtime libpam0g
      libparted0debian1 libpng12-0 libpng12-dev libpoppler-glib4 libpoppler5
      libpostproc51 libpq-dev libpq5 librsvg2-2 librsvg2-common libsndfile1
      libsoup-gnome2.4-1 libsoup2.4-1 libssl-dev libssl0.9.8 libsvn-dev libsvn1
      libswscale0 libt1-5 libupower-glib1 libvorbis0a libvorbisenc2 libvorbisfile3
      libwbclient0 libwebkit-1.0-2 libwebkit-1.0-common libxml2 libxml2-dev
      libxml2-utils logrotate mobile-broadband-provider-info modemmanager
      network-manager nfs-common nvidia-96-modaliases nvidia-current-modaliases
      openjdk-6-jdk openjdk-6-jre openjdk-6-jre-headless openjdk-6-jre-lib
      openssh-client openssh-server openssl parted php5 php5-cli php5-common
      php5-mysql php5-sqlite poppler-utils portmap postgresql postgresql-8.4
      postgresql-client-8.4 procps python-apport python-apt python-httplib2
      python-lazr.restfulclient python-libxml2 python-problem-report
      python-smartpm python-software-properties python-wadllib python3.1
      python3.1-minimal radvd rdesktop samba-common samba-common-bin smbclient
      smbfs software-properties-gtk software-properties-kde subversion sysv-rc
      sysvinit-utils thunderbird tzdata tzdata-java unattended-upgrades
      update-manager-core update-manager-kde update-notifier-common upower winbind
      xdg-utils xserver-xephyr xserver-xorg xserver-xorg-core
      xserver-xorg-video-openchrome xulrunner-1.9.2 xulrunner-1.9.2-dev
      214 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
      Need to get 201MB/202MB of archives.
      After this operation, 1,626kB of additional disk space will be used.

    • Wah enak, saya berhasil upgrade tools2nya🙂
      Tapi pas upgrade kernel, terus mati tiba2 gara2 overheat. gabisa booting deh… install OS lain, gak memungkinkan karena untuk booting gakuat. sedih.

    • Untuk menentukan besarnya SWAP, cukup 2 kalinya dari besar RAM saja🙂

      Misal : RAM 1GB, berarti SWAP 2GB
      Begitu.

      Proses Instalasinya sama seperti Ubuntu🙂

      Terimakasih sudah datang di elmoony🙂

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s